From: "Jonas Stein" <jstein@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/bibtexparser/
Date: Wed, 3 Jul 2019 20:44:22 +0000 (UTC) [thread overview]
Message-ID: <1562186603.9dfa6e22bb654ac2052e1e4d199994614c1ae8d9.jstein@gentoo> (raw)
commit: 9dfa6e22bb654ac2052e1e4d199994614c1ae8d9
Author: Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 3 20:43:23 2019 +0000
Commit: Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Wed Jul 3 20:43:23 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9dfa6e22
dev-python/bibtexparser: Version bump to 1.1.0
Version bump to 1.1.0
and EAPI=7
Package-Manager: Portage-2.3.68, Repoman-2.3.14
Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>
dev-python/bibtexparser/Manifest | 1 +
dev-python/bibtexparser/bibtexparser-1.1.0.ebuild | 28 +++++++++++++++++++++++
2 files changed, 29 insertions(+)
diff --git a/dev-python/bibtexparser/Manifest b/dev-python/bibtexparser/Manifest
index 26d7af1f882..a2670d3c193 100644
--- a/dev-python/bibtexparser/Manifest
+++ b/dev-python/bibtexparser/Manifest
@@ -1 +1,2 @@
DIST bibtexparser-0.6.2.tar.gz 50876 BLAKE2B 660508717a224d1c1c28a52c8d7ccc8de7248e61b45ce73bb46729ee7feb8872bdaf92bd6b07cdfb7934fa57993b39749b9961185d4dc9cec2d55809761a783e SHA512 43a1c0475bc9e97c201a850e944f082e9eb316ac475cce4128b821008fc5b1597317f28c594f5462daee992b455fb4254fdf76a5baa02ff8e8a0e36f43c52491
+DIST bibtexparser-1.1.0.tar.gz 88656 BLAKE2B e5285953fbf79558643e19ea39f6421394f93afbfc6820be9bee0583c1efa010b9fe3478c9f3e36bea0c64e35c9d5bcb8341f1ee784c4150883e160723b94119 SHA512 f984cb307bfb8ee8143499469c0a83a28b3e9f061b17e5b43b7f9aa730c91427f2b2c441e501d37ab62f99ce2b7dd1cd7dee40b21c9f1a8e8b2dddf8eac2e74b
diff --git a/dev-python/bibtexparser/bibtexparser-1.1.0.ebuild b/dev-python/bibtexparser/bibtexparser-1.1.0.ebuild
new file mode 100644
index 00000000000..9d0a491d8df
--- /dev/null
+++ b/dev-python/bibtexparser/bibtexparser-1.1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1 python-r1
+
+DESCRIPTION="A BibTeX parser written in python"
+HOMEPAGE="https://github.com/sciunto-org/python-bibtexparser"
+SRC_URI="https://github.com/sciunto-org/python-bibtexparser/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( BSD LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/pyparsing[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/python-${P}"
+
+src_test() {
+ python_foreach_impl nosetests
+}
next reply other threads:[~2019-07-03 20:44 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-07-03 20:44 Jonas Stein [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-20 8:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/bibtexparser/ Michał Górny
2024-12-19 11:41 Michał Górny
2024-12-19 11:41 Michał Górny
2024-12-07 11:36 Michał Górny
2024-12-07 10:28 Arthur Zamarin
2024-12-05 7:06 Sam James
2024-10-03 15:35 Michał Górny
2024-05-18 15:40 Michał Górny
2023-12-30 18:26 Michał Górny
2023-09-22 11:08 Michał Górny
2023-05-31 13:58 Michał Górny
2022-11-14 4:34 Michał Górny
2022-09-23 20:06 Arthur Zamarin
2022-09-23 20:06 Arthur Zamarin
2022-07-09 17:48 Arthur Zamarin
2022-06-16 8:04 Michał Górny
2022-05-21 7:47 Michał Górny
2022-05-17 12:20 Andrew Ammerlaan
2022-05-16 13:03 Michał Górny
2022-01-17 16:48 Arthur Zamarin
2022-01-17 16:48 Arthur Zamarin
2021-06-05 12:56 Michał Górny
2020-11-17 0:08 Michał Górny
2020-03-26 13:49 Michał Górny
2020-02-04 13:32 Michał Górny
2019-07-03 20:44 Jonas Stein
2018-06-27 20:44 Pacho Ramos
2016-04-10 15:37 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1562186603.9dfa6e22bb654ac2052e1e4d199994614c1ae8d9.jstein@gentoo \
--to=jstein@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox